package com.r3944realms.modernlifepatch.mixin.block.outside;

import com.dairymoose.modernlife.blocks.RampBlock;
import com.r3944realms.modernlifepatch.client.render.ISpecialHitBoxType;
import com.r3944realms.modernlifepatch.data.SpecialHitBoxBlockType;
import net.minecraft.core.Direction;
import net.minecraft.world.level.block.state.properties.EnumProperty;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;

@SuppressWarnings("AddedMixinMembersNamePattern")
@Mixin(value = RampBlock.class, remap = false)
public class MixinRampBlock implements ISpecialHitBoxType {
    @Shadow @Final public static EnumProperty<Direction> FACING;

    @Override
    public boolean hasSpecialHitbox() {
        return SpecialHitBoxBlockType.RAMP.hasSpecialHitbox();
    }

    @Override
    public EnumProperty<Direction> getFaceDirection() {
        return SpecialHitBoxBlockType.RAMP.getFaceDirection();
    }

    @Override
    public String getSTName() {
        return SpecialHitBoxBlockType.RAMP.getSTName();
    }

    @Override
    public SpecialHitBoxBlockType getSpecialHitBoxType() {
        return SpecialHitBoxBlockType.RAMP;
    }
}
